using System;
using System.Drawing;
using System.Linq;
using PowerLanguage.Function;
using ATCenterProxy.interop;

namespace PowerLanguage.Strategy 
{
	public class Strategy01 : SignalObject 
	{
		public Strategy01(object _ctx):base(_ctx)
		{
		}
		
		private IOrderPriced order;
		
		protected override void Create() 
		{		
			order = OrderCreator.Stop(new SOrderParameters(Contracts.Default, EOrderAction.Buy));
		}
		protected override void StartCalc() 
		{
		}
		
		protected override void CalcBar()
		{
			order.Send(Bars.Close[0] + 20);
		}
	}
}